Page MenuHomePhabricator

Warning: trim() expects parameter 1 to be string, array given in OggHandler.php on line 116
Closed, ResolvedPublic

Description

Warning: trim() expects parameter 1 to be string, array given in /usr/local/apache/common-local/php-1.24wmf8/extensions/TimedMediaHandler/handlers/OggHandler/OggHandler.php on line 116


Version: unspecified
Severity: normal

Details

Reference
bz66448

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:16 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz66448.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Jun 10 2014, 7:55 PM
Reedy added a comment.Jun 18 2014, 5:40 PM
			foreach( $stream['comments'] as $name => $value ) {
				$trimmedValue = trim( $value );
				if ( $trimmedValue === '' ) {
					continue;
				}

Did we start allowing/passing/parsing in arrays at some point?

I guess it needs special handling

Change 140641 had a related patch set uploaded by Brian Wolff:
Handle double tags properly (fix php warning about trim())

https://gerrit.wikimedia.org/r/140641

Change 140641 merged by jenkins-bot:
Handle double tags properly (fix php warning about trim())

https://gerrit.wikimedia.org/r/140641

tomasz added a comment.Aug 5 2014, 8:25 PM

Patch was merged, so assuming bug is fixed.

Please re-open if that's not the case.

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 2 2014, 8:54 AM